# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Define some handy macros
%global python2_version %(python2 -c "import sys; print sys.version[:3]" || echo 0.0)
# python2_sitelib and __python2 defined from Fedora 16
%{!?python2_sitelib: %define python2_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?__python2: %global __python2 /usr/bin/python2}

# Create nmap-cat subpackage and have it obsolete/provide nc from F-18/RHEL-7 onwards
%if %([ '(' "%{__distinit}" = "fc" -a %{__distvers} -ge 18 ')' -o '(' "%{__distinit}" = "rhel" -a %{__distvers} -ge 7 ')' ] && echo 1 || echo 0)
%global ncat_subpkg yes
%else
%global ncat_subpkg no
%endif

# Use bundled liblua if we don't have a system version we can use
%if %([ '(' "%{__distinit}" = "fc" -a '(' %{__distvers} -lt 22 -o %{__distvers} -gt 32 ')' ')' -o '(' "%{__distinit}" = "rhel" -a %{__distvers} -lt 8 ')' ] && echo 1 || echo 0)
%global internal_lua --with-liblua=included
%endif

# Install appdata from F-20 onwards
%if %([ '(' "%{__distinit}" = "fc" -a %{__distvers} -ge 20 ')' -o '(' "%{__distinit}" = "rhel" -a %{__distvers} -ge 8 ')' ] && echo 1 || echo 0)
%global install_appdata 1
%else
%global install_appdata 0
%endif

# Don't package zenmap after Fedora 28
%if %([ '(' "%{__distinit}" = "fc" -a %{__distvers} -ge 29 ')' -o '(' "%{__distinit}" = "rhel" -a %{__distvers} -ge 8 ')' ] && echo 1 || echo 0)
%global package_zenmap 0
%else
%global package_zenmap 1
%endif

# TODO: stop using local copy of libdnet, once system distributed version
# supports sctp (grep sctp /usr/include/dnet.h)

# Do hardened build where possible
%global _hardened_build 1

#global betaver TEST5

Summary:	Network exploration tool and security scanner
Name:		nmap
Epoch:		2
Version:	7.91
Release:	%{?betaver:0.}3.0.%{?betaver:%{betaver}.}cf.%{__distinit}%{__distvers}
# Uses combination of licenses based on GPL license but with
# extra modifications, so it got its own license tag (#1055861)
License:	Nmap
Source0:	http://nmap.org/dist/nmap-%{version}%{?betaver}.tar.bz2
Source1:	https://nmap.org/dist/sigs/%{name}-%{version}.tar.bz2.asc
Source2:	https://svn.nmap.org/nmap/docs/nmap_gpgkeys.txt
Source11:	zenmap.desktop
Source12:	zenmap-root.pamd
Source13:	zenmap.appdata.xml
Source14:	zenmap-root.consoleapps
Patch1:		ncat_reg_stdin.diff
Patch2:		nmap-4.85BETA10-noms.patch
Patch5:		ncat-fix-unix-domain-socket-crash.patch
Patch6:		nmap-6.25-displayerror.patch
URL:		http://nmap.org/
BuildRequires:	coreutils
BuildRequires:	desktop-file-utils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	gnupg2
%if %{install_appdata}
BuildRequires:	libappstream-glib
%endif
BuildRequires:	libpcap-devel >= 1.0
%if %{package_zenmap}
BuildRequires:	libpng-devel
%endif
BuildRequires:	libssh2-devel
%if 0%{!?internal_lua:1}
BuildRequires:	lua-devel >= 5.3
%else
# exception granted in FPC ticket 255
Provides:	bundled(lua) = 5.3
%endif
BuildRequires:	make
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel >= 4.0
BuildRequires:	perl-interpreter
BuildRequires:	pkgconfig
%if %{package_zenmap}
BuildRequires:	pygtk2-devel
BuildRequires:	python2-devel >= 2.5
%else
Obsoletes:	nmap-frontend < %{epoch}:%{version}-%{release}
Obsoletes:	nmap-ndiff < %{epoch}:%{version}-%{release}
%endif
BuildRequires:	sed
BuildRequires:	zlib-devel
%if "%{ncat_subpkg}" == "yes"
Requires:	nmap-ncat = %{epoch}:%{version}-%{release}
%else
Obsoletes:	nmap-ncat < %{epoch}:%{version}-%{release}
Provides:	nmap-ncat = %{epoch}:%{version}-%{release}
%endif

%description
Nmap is a utility for network exploration or security auditing.  It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, reverse-identd scanning, and more. In addition
to the classic command-line nmap executable, the Nmap suite includes a flexible
data transfer, redirection, and debugging tool (netcat utility ncat), a utility
for comparing scan results (ndiff), and a packet generation and response
analysis tool (nping).

%if %{package_zenmap}
%package frontend
Summary:	Graphical Nmap frontend and results viewer
BuildArch:	noarch
Requires:	nmap = %{epoch}:%{version}-%{release}, pygtk2, usermode
Requires:	nmap-ndiff = %{epoch}:%{version}-%{release}
# For ownership of %%{_datadir}/icons/hicolor/*/apps/
Requires:	hicolor-icon-theme
Obsoletes:	zenmap < %{epoch}:%{version}-%{release}
Provides:	zenmap = %{epoch}:%{version}-%{release}

%description frontend
Zenmap is an Nmap frontend. It is meant to be useful for advanced users
and to make Nmap easy to use by beginners. It was originally derived
from Umit, an Nmap GUI created as part of the Google Summer of Code.

%package ndiff
Summary:	A tool to aid in the comparison of Nmap scans
BuildArch:	noarch
Requires:	nmap = %{epoch}:%{version}-%{release}

%description ndiff
%{summary}.
%endif

%if "%{ncat_subpkg}" == "yes"
%package ncat
Summary:	Nmap's Netcat replacement
Obsoletes:	nc < 1.109.20120711-2
Provides:	nc = %{version}-%{release}
Obsoletes:	nc6 < 1.00-22
Provides:	nc6 = %{version}-%{release}

%description ncat
Ncat is a feature packed networking utility that will read and write data
across a network from the command line. It uses both TCP and UDP for
communication and is designed to be a reliable back-end tool to instantly
provide network connectivity to other applications and users. Ncat will not
only work with IPv4 and IPv6 but provides the user with a virtually
limitless number of potential uses.
%endif

%prep
%if 0%{?gpgverify:1}
%{gpgverify} --keyring=%{SOURCE2} --signature='%{SOURCE1}' --data='%{SOURCE0}'
%endif
%setup -q  -n %{name}-%{version}%{?betaver}
%patch1 -p1 -b .select
%patch2 -p1 -b .noms

# Prevent crash with UNIX domain sockets
# https://github.com/nmap/nmap/commit/f6b40614e4a8131394792d590965f8af3c635323
%patch5 -p1

# Exit nicely from zenmap rather than crashing if there is no display (#958240)
%patch6 -p1 -b .displayerror

# Remove spurious exec permissions from libnetutil and nping source files
chmod -c -x {libnetutil,nping}/*.{cc,h}

# Be sure we're not using bundled copies of libraries unless we really need to
rm -r	%{!?internal_lua:liblua} \
	libpcap \
	libssh2 \
	libz \
	macosx \
	mswin32

# Fix man page (rhbz#813734)
sed -i 's/-md/-mf/' nping/docs/nping.1

%if %{package_zenmap}
# Remove spurious shellbangs and carriage returns from python modules
find zenmap -name '*.py' |
	xargs sed -i -e 's/\r$//; /^#!\/usr\/bin\/env python$/d'

# Fix up ndiff shellbangs
sed -i -e '/^#!\/usr\/bin\/env python$/d' ndiff/ndiff.py
sed -i -e 's|^#!/usr/bin/env python$|#!%{__python2}|' \
	ndiff/{ndifftest.py,scripts/ndiff,setup.py,test-scans/anonymize.py}

# Fix locale dir so we can use find_lang
mv zenmap/share/zenmap/locale zenmap/share
sed -i \
	-e "s|^locale_dir =.*$|locale_dir = os.path.join('share','locale')|" \
	-e 's|join(self.install_data, data_dir)|join(self.install_data, "share")|' \
	zenmap/setup.py
sed -i \
	-e 's|^LOCALE_DIR = .*|LOCALE_DIR = join(prefix, "share", "locale")|' \
	zenmap/zenmapCore/Paths.py

# Zenmap desktop and PAM configuration
cp -p %{SOURCE12} %{SOURCE13} %{SOURCE14} .
%endif

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CPPFLAGS="$(pkg-config --cflags openssl)"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
export LDFLAGS=$(pkg-config --libs openssl)
%{configure} \
%if ! %{package_zenmap}
	--without-zenmap \
	--without-ndiff \
%endif
	%{?internal_lua}

# MYCFLAGS used in liblua build when necessary
make %{?_smp_mflags} \
	DEFAULT_PYTHON_PATH="%{__python2}" \
	MYCFLAGS="%{optflags} -fno-strict-aliasing"

%install
make DESTDIR=%{buildroot} INSTALL="install -p" STRIP=/bin/true install

# Do not include certificate bundle (#734389)
rm -f %{buildroot}%{_datadir}/ncat/ca-bundle.crt
rmdir %{buildroot}%{_datadir}/ncat

# Provide 'nc' replacement
%if "%{ncat_subpkg}" == "yes"
ln -s ncat.1.gz %{buildroot}%{_mandir}/man1/nc.1.gz
ln -s ncat %{buildroot}%{_bindir}/nc
%endif

%if %{package_zenmap}
# Don't package the uninstaller
rm %{buildroot}%{_bindir}/uninstall_ndiff
rm %{buildroot}%{_bindir}/uninstall_zenmap

# Use consolehelper
rm -f %{buildroot}%{_datadir}/zenmap/su-to-zenmap.sh
ln -s consolehelper %{buildroot}%{_bindir}/zenmap-root
mkdir -p %{buildroot}%{_sysconfdir}/pam.d \
	%{buildroot}%{_sysconfdir}/security/console.apps
install -m 0644 zenmap-root.pamd \
	%{buildroot}%{_sysconfdir}/pam.d/zenmap-root
install -m 0644 zenmap-root.consoleapps \
	%{buildroot}%{_sysconfdir}/security/console.apps/zenmap-root

# For .desktop and app icon
rm -f %{buildroot}%{_datadir}/applications/zenmap*.desktop
desktop-file-install --vendor nmap \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category X-Red-Hat-Base \
	%{SOURCE11}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
ln -s ../../../../zenmap/pixmaps/zenmap.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

# Appdata
%if %{install_appdata}
install -D -m 644 -p zenmap.appdata.xml \
	%{buildroot}%{_datadir}/metainfo/zenmap.appdata.xml
%endif

# Add manpage symlinks
pushd %{buildroot}%{_mandir}/man1/
ln -s zenmap.1.gz nmapfe.1.gz
ln -s zenmap.1.gz xnmap.1.gz
popd

%find_lang zenmap
%endif

%find_lang nmap --with-man

%if %{install_appdata} && %{package_zenmap}
%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/zenmap.appdata.xml
%endif

# Scriptlets replaced by File Triggers from Fedora 26 onwards
%if 0%{?fedora} < 26 && 0%{?rhel} < 8
%post frontend
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun frontend
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans frontend
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%endif

%files -f nmap.lang
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc CHANGELOG docs/README docs/nmap.usage.txt
%{_bindir}/nmap
%{_bindir}/nping
%{_datadir}/nmap/
%{_mandir}/man1/nmap.1*
%{_mandir}/man1/nping.1*

%if "%{ncat_subpkg}" == "yes"
%files ncat
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc ncat/docs/AUTHORS ncat/docs/README ncat/docs/THANKS ncat/docs/examples
%{_bindir}/nc
%{_mandir}/man1/nc.1.gz
%endif
%{_bindir}/ncat
%{_mandir}/man1/ncat.1.gz

%if %{package_zenmap}
%files ndiff
%{_bindir}/ndiff
%{python2_sitelib}/ndiff.py*
%{_mandir}/man1/ndiff.1.gz

%files -f zenmap.lang frontend
%config(noreplace) %{_sysconfdir}/pam.d/zenmap-root
%config(noreplace) %{_sysconfdir}/security/console.apps/zenmap-root
%{_bindir}/zenmap
%{_bindir}/zenmap-root
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{python2_sitelib}/radialnet/
%{python2_sitelib}/zenmapCore/
%{python2_sitelib}/zenmapGUI/
%{python2_sitelib}/zenmap-%{version}%{?betaver}-py%{python2_version}.egg-info
%{_datadir}/applications/nmap-zenmap.desktop
%{_datadir}/icons/hicolor/256x256/apps/zenmap.png
%if %{install_appdata}
%{_datadir}/metainfo/zenmap.appdata.xml
%endif
%{_datadir}/zenmap/
%{_mandir}/man1/nmapfe.1.gz
%{_mandir}/man1/xnmap.1.gz
%{_mandir}/man1/zenmap.1.gz
%endif

%changelog
* Thu Oct 29 2020 Paul Howarth <paul@city-fan.org> - 2:7.91-3.0.cf
- Add sources verification (#1888510)

* Fri Oct 23 2020 Paul Howarth <paul@city-fan.org> - 2:7.91-2.0.cf
- Backport fix for UNIX domain socket crash
  https://github.com/nmap/nmap/commit/f6b40614e4a8131394792d590965f8af3c635323

* Sun Oct 11 2020 Paul Howarth <paul@city-fan.org> - 2:7.91-1.0.cf
- Update to 7.91 (see CHANGELOG for details)

* Mon Oct  5 2020 Paul Howarth <paul@city-fan.org> - 2:7.90-1.0.cf
- Update to 7.90 (see CHANGELOG for details)

* Fri Aug 21 2020 Paul Howarth <paul@city-fan.org> - 2:7.80-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Paul Howarth <paul@city-fan.org> - 2:7.80-5.0.cf
- Fedora 33 has lua 5.04 so we need to use the bundled version again

* Tue May 19 2020 Paul Howarth <paul@city-fan.org> - 2:7.80-4.0.cf
- Do not assert on unsolicited ARP response (#1836989)

* Fri Jan 31 2020 Paul Howarth <paul@city-fan.org> - 2:7.80-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 19 2019 Paul Howarth <paul@city-fan.org> - 2:7.80-2.0.cf
- Rebuild

* Mon Aug 12 2019 Paul Howarth <paul@city-fan.org> - 2:7.80-1.0.cf
- Update to 7.80 (see CHANGELOG for details)

* Wed May  8 2019 Paul Howarth <paul@city-fan.org> - 2:7.70-7.0.cf
- Fix double free when ssh connection fails

* Tue Feb 12 2019 Paul Howarth <paul@city-fan.org> - 2:7.70-6.0.cf
- Fix ipv6 literals parsing in proxy connection

* Thu Sep 13 2018 Paul Howarth <paul@city-fan.org> - 2:7.70-4.0.cf
- Obsolete frontend and ndiff packages from Fedora 29 onwards (#1626804)

* Mon Jul 16 2018 Paul Howarth <paul@city-fan.org> - 2:7.70-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Apr 23 2018 Paul Howarth <paul@city-fan.org> - 2:7.70-2.0.cf
- Do not build zenmap and ndiff from Fedora 29 because of python2 deprecation

* Wed Mar 21 2018 Paul Howarth <paul@city-fan.org> - 2:7.70-1.0.cf
- Update to 7.70 (see CHANGELOG for details)

* Fri Mar  2 2018 Paul Howarth <paul@city-fan.org> - 2:7.60-14.0.cf
- Add appdata file (#1476506)

* Wed Feb 21 2018 Paul Howarth <paul@city-fan.org> - 2:7.60-12.0.cf
- BR: gcc-c++

* Mon Feb 12 2018 Paul Howarth <paul@city-fan.org> - 2:7.60-11.0.cf
- Scriptlets replaced by File Triggers from Fedora 26 onwards
- Print source address in UDP mode
- Fix up some shellbangs

* Thu Jan 18 2018 Paul Howarth <paul@city-fan.org> - 2:7.60-9.0.cf
- Be specific about use of Python 2

* Wed Aug 23 2017 Paul Howarth <paul@city-fan.org> - 2:7.60-8.0.cf
- Fix memory leaks on error

* Thu Aug  3 2017 Paul Howarth <paul@city-fan.org> - 2:7.60-7.0.cf
- Use Fedora patch for libssh2/zlib unbundling

* Thu Aug  3 2017 Paul Howarth <paul@city-fan.org> - 2:7.60-4.0.cf
- Unbundle libz too

* Wed Aug  2 2017 Paul Howarth <paul@city-fan.org> - 2:7.60-1.0.cf
- Update to 7.60 (see CHANGELOG for details)
- Unbundle new libssh2 dependency

* Fri Jul 28 2017 Paul Howarth <paul@city-fan.org> - 2:7.50-10.0.cf
- Obsolete/provide nc6 in ncat subpackage (#1348348)
- Move ndiff to subpackage (#1471999)

* Fri Jun 16 2017 Paul Howarth <paul@city-fan.org> - 2:7.50-1.0.cf
- Update to 7.50 (see CHANGELOG for details)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Use noarch sub-packages unconditionally
  - Always use system pcap and pcre libraries
  - Use %%find_lang --man to enumerate manpages
  - pcap.h is always in libpcap-devel now
  - No longer need python-sqlite2 dependency for python 2.4
  - Python egg-info is always generated now
  - %%{python_sitelib} is always defined now

* Sun Feb 12 2017 Paul Howarth <paul@city-fan.org> - 2:7.40-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 21 2016 Paul Howarth <paul@city-fan.org> - 2:7.40-1.0.cf
- Update to 7.40 (see CHANGELOG for details)

* Fri Oct 21 2016 Paul Howarth <paul@city-fan.org> - 2:7.31-1.0.cf
- Update to 7.31 (see CHANGELOG for details)

* Wed Oct 12 2016 Paul Howarth <paul@city-fan.org> - 2:7.30-2.0.cf
- Rebuild for OpenSSL 1.1.0 in Fedora 26

* Fri Sep 30 2016 Paul Howarth <paul@city-fan.org> - 2:7.30-1.0.cf
- Update to 7.30 (see CHANGELOG for details)
- Update allresolve patch (#978964)
- Bump bundled(lua) version to 5.3 and enable system lua again where possible

* Wed Aug  3 2016 Paul Howarth <paul@city-fan.org> - 2:7.12-2.1.cf
- Fix FTBFS when perl is not in the minimal build root

* Sun Jul 24 2016 Paul Howarth <paul@city-fan.org> - 2:7.12-2.0.cf
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 30 2016 Paul Howarth <paul@city-fan.org> - 2:7.12-1.0.cf
- Update to 7.12 (see CHANGELOG for details)

* Wed Mar 23 2016 Paul Howarth <paul@city-fan.org> - 2:7.11-1.0.cf
- Update to 7.11 (see CHANGELOG for details)

* Fri Mar 18 2016 Paul Howarth <paul@city-fan.org> - 2:7.10-1.0.cf
- Update to 7.10 (see CHANGELOG for details)

* Thu Feb 11 2016 Paul Howarth <paul@city-fan.org> - 2:7.01-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 10 2015 Paul Howarth <paul@city-fan.org> - 2:7.01-1.0.cf
- Update to 7.01 (see CHANGELOG for details)

* Tue Nov 24 2015 Paul Howarth <paul@city-fan.org> - 2:7.00-1.0.cf
- Update to 7.00 (see http://nmap.org/changelog.html for details)

* Fri Sep  4 2015 Paul Howarth <paul@city-fan.org> - 2:6.47-5.0.cf
- ncat should try to connect to all resolved addresses, not only the first one
  (#978964)

* Fri Jun 19 2015 Paul Howarth <paul@city-fan.org> - 2:6.47-3.0.cf
- Always use bundled liblua for now, as lua 5.3 in F-22 onwards breaks nmap

* Tue Dec 16 2014 Paul Howarth <paul@city-fan.org> - 2:6.47-2.0.cf
- Do not own icons/hicolor/<size>/apps directory (#1171813)

* Wed Aug 27 2014 Paul Howarth <paul@city-fan.org> - 2:6.47-1.0.cf
- Update to 6.47 (see http://nmap.org/changelog.html for details)

* Wed Aug 20 2014 Paul Howarth <paul@city-fan.org> - 2:6.46-3.0.cf
- Use %%license where possible

* Mon Jun  9 2014 Paul Howarth <paul@city-fan.org> - 2:6.46-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Paul Howarth <paul@city-fan.org> - 2:6.46-1.0.cf
- Update to 6.46 (see http://nmap.org/changelog.html for details)

* Mon Apr 14 2014 Paul Howarth <paul@city-fan.org> - 2:6.45-1.0.cf
- Update to 6.45 (see http://nmap.org/changelog.html for details)
- Package new ndiff python module in main package
- Drop upstreamed workaround for zenmap crash (#637403)
- Drop upstreamed fix for crash when too much parallelism is used (#1057912)

* Thu Apr 10 2014 Paul Howarth <paul@city-fan.org> - 2:6.40-6.0.cf
- Update license tag (#1055861)
- Fix unexpected crash when too much parallelism is used (#1057912)
- Drop support for old distributions prior to FC-5:
  - Drop support for old PAM stack
  - Drop %%defattr, redundant since rpm 4.4
  - Build the frontend package unconditionally
  - Can always build nping as we can count on having openssl ≥ 0.9.8

* Wed Mar  5 2014 Paul Howarth <paul@city-fan.org> - 2:6.40-4.0.cf
- Do hardened build where possible

* Wed Dec 18 2013 Paul Howarth <paul@city-fan.org> - 2:6.40-3.1.cf
- Use internal lua for EL-7 build (EL-7 has lua 5.1.4)

* Sun Oct 20 2013 Paul Howarth <paul@city-fan.org> - 2:6.40-3.0.cf
- ncat should support UNIX sockets correctly, drop wrapper with socat

* Sat Aug 10 2013 Paul Howarth <paul@city-fan.org> - 2:6.40-2.0.cf
- Do not print debug messages during normal use (#994376)

* Mon Jul 29 2013 Paul Howarth <paul@city-fan.org> - 2:6.40-1.0.cf
- Update to 6.40 (see http://nmap.org/changelog.html for details)
- Drop upstreamed japan-code patch

* Wed Jul 24 2013 Paul Howarth <paul@city-fan.org> - 2:6.25-8.0.20130624svn.cf
- Use system lua from F-20, which now has lua 5.2

* Mon Jun 24 2013 Paul Howarth <paul@city-fan.org> - 2:6.25-7.0.20130624svn.cf
- Use svn snapshot that contains all necessary UDP patches

* Sat May 25 2013 Paul Howarth <paul@city-fan.org> - 2:6.25-5.0.cf
- Exit nicely from zenmap rather than crashing if there is no display (#958240)
- zenmap: fix icon symlink (#957381)
- Fix nping man page typo

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 2:6.25-2.0.cf
- Rebuild

* Mon Mar 11 2013 Paul Howarth <paul@city-fan.org> - 2:6.25-1.2.cf
- Add virtual provide: bundled(lua) = 5.2
  (https://fedorahosted.org/fpc/ticket/255)

* Fri Jan  4 2013 Paul Howarth <paul@city-fan.org> - 2:6.25-1.1.cf
- Use select as default nsock engine

* Fri Nov 30 2012 Paul Howarth <paul@city-fan.org> - 2:6.25-1.0.cf
- Update to 6.25 (see CHANGELOG for details)
- Drop upstreamed patches
- Use bundled lua since Fedora doesn't yet have lua 5.2
- Don't let the compiler use strict aliasing

* Tue Oct  2 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-7.1.cf
- Move the socat dependency to the ncat subpackage (#858733)

* Wed Sep 19 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-6.1.cf
- Shutdown socket on EOF (#845075)

* Sun Aug 19 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-5.1.cf
- ncat did not work when file was used as input (#845005)

* Sat Jul 28 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-4.1.cf
- Add nc wrapper with socat as a fallback for unix sockets

* Mon Jul 23 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-3.1.cf
- Revert ncat sub-package except in Rawhide as it breaks libvirt

* Fri Jul 20 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 18 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-2.0.cf
- Provide ncat in sub-package as replacement for nc

* Mon Jun 18 2012 Paul Howarth <paul@city-fan.org> - 2:6.01-1.0.cf
- Update to 6.01 (see CHANGELOG for details)

* Wed Jun  6 2012 Paul Howarth <paul@city-fan.org> - 2:6.00-2.0.cf
- Drop redundant nostrip patch

* Tue May 22 2012 Paul Howarth <paul@city-fan.org> - 2:6.00-1.0.cf
- Update to 6.00 (see CHANGELOG and http://nmap.org/6 for details)

* Wed Mar 14 2012 Paul Howarth <paul@city-fan.org> - 2:5.61-0.1.0.TEST5.cf
- Update to 5.61TEST5 (see CHANGELOG for details)
- Drop support for distributions prior to FC-3
- Use bundled liblua for FC-4 and FC-5 builds as liblua 5.1 doesn't define
  LUA_RELEASE, causing a build failure; liblua 5.1.2 in FC-6 is fine

* Sun Feb 12 2012 Paul Howarth <paul@city-fan.org> - 2:5.51-5.0.cf
- Rebuild for new libpcre in Rawhide

* Wed Jan 18 2012 Paul Howarth <paul@city-fan.org> - 2:5.51-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  8 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-2.0.cf
- Do not use bundled certificates, use only system ones (#734389)

* Sat Aug  6 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-1.2.cf
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Mar 28 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-1.1.cf
- Update %%description to mention other tools (#682361)
- Nobody else likes macros for commands

* Mon Feb 14 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-1.0.cf
- Update to 5.51 (see CHANGELOG for details)

* Sun Feb 13 2011 Paul Howarth <paul@city-fan.org> - 2:5.50-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 30 2011 Paul Howarth <paul@city-fan.org> - 2:5.50-1.0.cf
- Update to 5.50 (see CHANGELOG for details)
- Update patch for zenmap crash (#637403)
- Include nping and its manpage - if we have SHA256 support in openssl (0.9.8)
- Add workaround for RHL-9, EL-3, FC-1 where configure script thinks we can use
  <net/bpf.h> despite we're using the bundled libpcap, which doesn't have it

* Tue Oct  5 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-10.0.cf
- Add workaround for zenmap crash (#637403)

* Thu Sep 30 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-9.0.cf
- Rebuilt for gcc bug (#634757)

* Fri Sep 17 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-8.0.cf
- Resync with Rawhide again (#632104)

* Thu Aug 19 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-7.0.cf
- Resync with Rawhide again

* Wed Aug 11 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-6.0.cf
- Resync with Rawhide

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-5.0.cf
- Rebuild for python 2.7 in Rawhide

* Mon Jun 21 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-4.0.cf
- Make frontend a noarch subpackage where possible
- No longer need to patch zenmap to make it install arch-specific
- Drop zenmap/setup.py patch, no longer needed
- Enable parallel build

* Tue May 25 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-2.1.cf
- Fix dist tag for RHEL-6 Beta

* Tue May  4 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-2.0.cf
- Comment spec about (non) use of find_lang nmap --with-man
- Update icon cache scriptlets to current standard

* Wed Jan 27 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-1.0.cf
- Update to 5.21 (see CHANGELOG for details)
- Revert upstream change in zenmap/setup.py addressing an Ubuntu issue as it
  breaks the Fedora build (on Rawhide at least)

* Thu Jan 21 2010 Paul Howarth <paul@city-fan.org> - 2:5.20-1.0.cf
- Update to 5.20 (see CHANGELOG for details)
- Update nostrip and python-directory patches
- Bundled libpcap is now 1.0.0, so use that if system version is not as recent
- Include doc: CHANGELOG
- Package manpage translations, relocating Japanese translation from "jp" to
  "ja" directory

* Tue Jan 12 2010 Paul Howarth <paul@city-fan.org> - 2:5.00-6.0.cf
- Use standard version of sqlite for distro, not always sqlite2

* Tue Dec  1 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-5.0.cf
- Clarify license tag
- Build with system libpcap if we have libpcap >= 0.9.7
- Remove the bundled library sources unless the system copies are unusable
- Dist tag for Rawhide no longer needs special-casing

* Mon Nov  2 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-4.0.cf
- Fix locale dir so we can use find_lang

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-3.0.cf
- Rebuild for openssl 1.0 in Fedora

* Mon Jul 27 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-2.0.cf
- Use -noms patch from Fedora (no functional changes)

* Fri Jul 17 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-1.cf
- Update to 5.00 (http-open-proxy script fixes)

* Thu Jun 25 2009 Paul Howarth <paul@city-fan.org> - 2:4.90-0.1.RC1.cf
- Update to 4.90RC1

* Mon Jun 22 2009 Paul Howarth <paul@city-fan.org> - 2:4.85-0.1.BETA10.cf
- Update to 4.85BETA10
- Update -noms patch
- Update -python-directory patch
- Define RPM macros in global scope
- New binaries and manpages: ncat and ndiff
- New zenmap translations: de fr hr
- Add buildreq openssl-devel and zlib-devel

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> - 2:4.76-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Paul Howarth <paul@city-fan.org> - 2:4.76-3.0.cf
- Rebuild for new openssl in rawhide

* Fri Dec 19 2008 Paul Howarth <paul@city-fan.org> - 2:4.76-2.0.cf
- Use consolehelper for root auth, drop su-to-zenmap.sh

* Fri Sep 12 2008 Paul Howarth <paul@city-fan.org> - 2:4.76-1.0.cf
- Update to 4.76

* Mon Sep  8 2008 Paul Howarth <paul@city-fan.org> - 2:4.75-1.0.cf
- Update to 4.75
- Update python-directory and nostrip patches
- Package upstream desktop files rather than our own
- Nothing in libexec now

* Fri Aug 22 2008 Paul Howarth <paul@city-fan.org> - 2:4.68-3.0.cf
- License is GPL (version 2 only)

* Fri Aug  1 2008 Paul Howarth <paul@city-fan.org> - 2:4.68-1.1.cf
- Reinstate nostrip patch

* Mon Jun 30 2008 Paul Howarth <paul@city-fan.org> - 2:4.68-1.0.cf
- Update to 4.68
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Drop pixmaps patch, no longer needed (pixmaps moved to
  %%{_datadir}/zenmap/pixmaps/)

* Mon Jun  2 2008 Paul Howarth <paul@city-fan.org> - 2:4.65-1.0.cf
- Update to 4.65
- Update python-directory patch
- umit icons no longer included
- Zenmap manpage is only installed if zenmap is installed now, so no need to
  delete it for nogui builds

* Tue May  6 2008 Paul Howarth <paul@city-fan.org> - 2:4.62-1.0.cf
- Update to 4.62

* Mon Mar 17 2008 Paul Howarth <paul@city-fan.org> - 2:4.60-1.0.cf
- Update to 4.60
- Upstream URLs changed from www.insecure.org/nmap -> nmap.org
- Add %%lang identifier for zenmap locale data
- Don't install the zenmap manpage if we're not building the GUI

* Mon Jan 14 2008 Paul Howarth <paul@city-fan.org> - 2:4.53-1.0.cf
- Update to 4.53

* Fri Jan 11 2008 Paul Howarth <paul@city-fan.org> - 2:4.52-2.1.cf
- Merge changes for 4.52 from Rawhide (patches, desktop file etc.)
- zenmap package renamed back to nmap-frontend

* Thu Jan  3 2008 Paul Howarth <paul@city-fan.org> - 2:4.52-1.1.cf
- Reinstate filename-based buildreqs now that mock bug is fixed

* Wed Jan  2 2008 Paul Howarth <paul@city-fan.org> - 2:4.52-1.0.cf
- Update to 4.52

* Mon Dec 17 2007 Paul Howarth <paul@city-fan.org> - 2:4.50-1.0.cf
- Update to 4.50
- Update noms patch
- nostrip patch no longer needed
- no desktop file provided upstream, so no patch to apply to it
- New python-based GUI "zenmap" replaces nmap-frontend
- Updated %%description from manpage
- Buildrequire lua-devel where it's available
- Use bundled PCRE library when system version is too old
- Use %%{optflags} when building liblua
- Import icons from Mandriva and use them with new desktop file for zenmap

* Mon Dec 10 2007 Paul Howarth <paul@city-fan.org> - 2:4.20-6.2.cf
- Rebuild for new openssl in Rawhide
- Temporarily use conditional libpcap buildreqs to work around problem
  with mock/yum not finding filename buildreqs

* Wed Nov  7 2007 Paul Howarth <paul@city-fan.org> - 2:4.20-6.0.cf
- Fix dist tag for Fedora 7 onwards
- Change libpcap(-devel) buildreq to /usr/include/pcap.h, which avoids the
  need for conditional buildreqs
- Try to keep timestamps for files copied from source to installed package
- Include icons from Fedora package in frontend subpackage and patch desktop
  file to use them
- BuildRequire desktop-file-utils and use desktop-file-install
- Use a patch rather than a scripted edit to prevent stripping of binaries
- Removed references how to scan microsoft.com (#164962)
- Note in license tag that some BSD sources are used

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 2:4.20-1.cf
- Update to 4.20
- Use bzipped source instead of gzipped source
- Add libpcap/libpcap-devel buildreq now that nmap will link against the
  system library rather than using its own hacked version

* Fri Sep 15 2006 Paul Howarth <paul@city-fan.org> - 2:4.11-2.cf
- Fix dist tag for development releases
- Add buildreq zlib-devel

* Mon Jun 26 2006 Paul Howarth <paul@city-fan.org> - 2:4.11-1
- Update to 4.11

* Tue Jun 13 2006 Paul Howarth <paul@city-fan.org> - 2:4.10-1
- Update to 4.10

* Mon Apr 24 2006 Paul Howarth <paul@city-fan.org> - 2:4.03-1
- Update to 4.03
- Define %%{__id_u} in a more portable way

* Fri Feb 10 2006 Paul Howarth <paul@city-fan.org> - 2:4.01-1
- Update to 4.01

* Wed Feb  1 2006 Paul Howarth <paul@city-fan.org> - 2:4.00-1
- Update to 4.00

* Mon Jan 30 2006 Paul Howarth <paul@city-fan.org> - 2:3.9999-1
- Update to 3.9999
- Update distribution-detection code

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 2:3.999-1
- Update to 3.999
- gtk2-devel >= 2.4.0 is needed for the GUI; don't build it on older distros
- Lots of old docs gone

* Tue Sep 13 2005 Paul Howarth (paul(a)city-fan.org) - 2:3.93-1
- Update to 3.93

* Fri Sep  9 2005 Paul Howarth (paul(a)city-fan.org) - 2:3.90-2
- Always build front end
- Use proper directory paths instead of prefix-based ones
- Spec file cleanup
- Add BR: openssl-devel
- Don't strip binaries, so debuginfo package can be useful
- Use pkgconfig to get required openssl build flags

* Mon Feb  7 2005 Paul Howarth (paul(a)city-fan.org)
- Build with SSL support, and add distribution tags to RPM release number
  so as to be able to tell which package is for which distribution (needed
  because of varying openssl dependencies)

* Sat Sep  4 2004 Stephane Loeuillet (stephane.loeuillet(a)tiscali.fr)
- Place .desktop file under ${prefix}/share/applications rather than
  ${prefix}/share/gnome/apps/Utilities

* Mon Dec 16 2002 Matthieu Verbert (mve(a)zurich.ibm.com)
- Place man pages under ${prefix}/share/man rather than ${prefix}/man

* Fri Jun 01 2001 GOMEZ Henri (hgomez(a)slib.fr)
- Patch which checks that $RPM_BUILD_ROOT is not "/" before rm'ing it.

* Tue Mar 06 2001 Ben Reed <ben(a)opennms.org>
- changed spec to handle not building the frontend

* Thu Dec 30 1999 Fyodor (fyodor(a)insecure.org)
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp(a)redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=$RPM_BUILD_ROOT&{prefix} install" does this.
- using defined %%{prefix}, %%{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor (fyodor(a)insecure.org)
- Merged in spec file sent in by Ian Macdonald <ianmacd(a)xs4all.nl>

* Tue Dec 29 1998 Fyodor (fyodor(a)insecure.org)
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren(a)hishome.net>

* Mon Dec 21 1998 Riku Meskanen (mesrik(a)cc.jyu.fi)
- initial build for RH 5.x
